how to install octave and use it

classic Classic list List threaded Threaded
14 messages Options
Reply | Threaded
Open this post in threaded view
|

how to install octave and use it

Alah Joseph
I a chemical engineering lecturer  in Niger Delta university Nigeria have just
downloaded octave from your website.

I would like to:

1 know how to install it
2 know how to use

please send me an help on how to go about installing and using it

Thank you

Joseph Alah

_______________________________________________
Help-octave mailing list
[hidden email]
https://mailman.cae.wisc.edu/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: how to install octave and use it

andy buckle
On Mon, May 2, 2011 at 7:16 AM, Alah Joseph <[hidden email]> wrote:

> I a chemical engineering lecturer  in Niger Delta university Nigeria have just
> downloaded octave from your website.
>
> I would like to:
>
> 1 know how to install it
> 2 know how to use
>
> please send me an help on how to go about installing and using it
>
> Thank you
>
> Joseph Alah

There is abundant advice on the web, and in the downloads. So I can
point you to the correct URL: which OS are you using and which website
did you download it from?


--
/* andy buckle */
_______________________________________________
Help-octave mailing list
[hidden email]
https://mailman.cae.wisc.edu/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: how to install octave and use it

Doug Stewart-4
In reply to this post by Alah Joseph


On Mon, May 2, 2011 at 2:16 AM, Alah Joseph <[hidden email]> wrote:
I a chemical engineering lecturer  in Niger Delta university Nigeria have just
downloaded octave from your website.

I would like to:

1 know how to install it
2 know how to use

please send me an help on how to go about installing and using it

Thank you

Joseph Alah

_______________________________________________
Help-octave mailing list
[hidden email]
https://mailman.cae.wisc.edu/listinfo/help-octave

If you tell us what you downloaded, it would be easier to help you.

What OS?
What file was downloaded?

_______________________________________________
Help-octave mailing list
[hidden email]
https://mailman.cae.wisc.edu/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Problem with database package installation OS X

Stuart Edwards
In reply to this post by Alah Joseph
Hi -

I'm trying, without success, to install the package 'database-1.0.4'.  My octave is the latest 3.4 Mac binary (4/8/11) running on OS X 10.6.7

Below is the transcript from the install attempt.  Seems to indicate serious unhappiness with my sqlite3 set up, although it's very standard.

Any suggestions much appreciated.


Stu



octave-3.4.0:5> pkg install database-1.0.4.tar
ld: warning: directory '/tmp/deps-i386/lib' following -L not found
ld: warning: directory '/tmp/deps-i386/lib/gcc/i686-apple-darwin10/4.2.1' following -L not found
ld: warning: directory '/private/tmp/deps-i386/bin/../lib/gcc/i686-apple-darwin10/4.2.1' following -L not found
ld: warning: directory '/private/tmp/deps-i386/bin/../lib/gcc' following -L not found
ld: warning: directory '/private/tmp/deps-i386/bin/../lib/gcc/i686-apple-darwin10/4.2.1/../../..' following -L not found
In file included from /Applications/Octave.app/Contents/Resources/include/octave-3.4.0/octave/../octave/oct.h:31,
                 from sqlite3_wrap.cpp:149:
/Applications/Octave.app/Contents/Resources/include/octave-3.4.0/octave/../octave/config.h:2628: error: multiple types in one declaration
/Applications/Octave.app/Contents/Resources/include/octave-3.4.0/octave/../octave/config.h:2628: error: declaration does not declare anything
sqlite3_wrap.cpp:1442: error: invalid covariant return type for ‘virtual Octave_map octave_swig_type::map_value() const’
/Applications/Octave.app/Contents/Resources/include/octave-3.4.0/octave/../octave/ov-base.h:560: error:   overriding ‘virtual octave_map octave_base_value::map_value() const’
sqlite3_wrap.cpp: In member function ‘void octave_swig_type::install_global()’:
sqlite3_wrap.cpp:1197: error: ‘curr_sym_tab’ was not declared in this scope
sqlite3_wrap.cpp:1197: error: ‘link_to_global_variable’ was not declared in this scope
sqlite3_wrap.cpp:1204: error: ‘symbol_record’ was not declared in this scope
sqlite3_wrap.cpp:1204: error: ‘sr’ was not declared in this scope
sqlite3_wrap.cpp:1204: error: ‘global_sym_tab’ was not declared in this scope
sqlite3_wrap.cpp: At global scope:
sqlite3_wrap.cpp:1650: error: invalid covariant return type for ‘virtual Octave_map octave_swig_ref::map_value() const’
/Applications/Octave.app/Contents/Resources/include/octave-3.4.0/octave/../octave/ov-base.h:560: error:   overriding ‘virtual octave_map octave_base_value::map_value() const’
sqlite3_wrap.cpp: In function ‘void SWIG_Octave_SetModule(void*, swig_module_info*)’:
sqlite3_wrap.cpp:2110: error: ‘curr_sym_tab’ was not declared in this scope
sqlite3_wrap.cpp:2110: error: ‘link_to_global_variable’ was not declared in this scope
sqlite3_wrap.cpp: In function ‘octave_value_list _wrap_sqlite3_auto_extension(const octave_value_list&, int)’:
sqlite3_wrap.cpp:6861: error: invalid conversion from ‘void*’ to ‘void (*)()’
sqlite3_wrap.cpp:6861: error:   initializing argument 1 of ‘int sqlite3_auto_extension(void (*)())’
sqlite3_wrap.cpp: In function ‘octave_value_list Fsqlite3(const octave_value_list&, int)’:
sqlite3_wrap.cpp:10430: error: ‘curr_sym_tab’ was not declared in this scope
sqlite3_wrap.cpp:10430: error: ‘link_to_global_variable’ was not declared in this scope
make: *** [sqlite3.oct] Error 1
'make' returned the following error: CXXFLAGS="-arch i386" /Applications/Octave.app/Contents/Resources/bin/mkoctfile-3.4.0 -Doctave_idx_type=int -DNEED_OCTAVE_QUIT -DHAVE_OCTAVE_34 -v -o sqlite3.oct -lsqlite3 sqlite3_wrap.cpp
/usr/bin/g++-4.2 -c -arch i386 -fPIC -I/Applications/Octave.app/Contents/Resources/include/octave-3.4.0/octave/.. -I/Applications/Octave.app/Contents/Resources/include/octave-3.4.0/octave -I/Applications/Octave.app/Contents/Resources/include -I/tmp/deps-i386/include -I/usr/X11/include/freetype2 -I/usr/X11/include -I/usr/X11/include -arch i386 -Doctave_idx_type=int -DNEED_OCTAVE_QUIT -DHAVE_OCTAVE_34 sqlite3_wrap.cpp -o sqlite3_wrap.o
error: called from `pkg>configure_make' in file /Applications/Octave.app/Contents/Resources/share/octave/3.4.0/m/pkg/pkg.m near line 1337, column 9
error: called from:
error:   /Applications/Octave.app/Contents/Resources/share/octave/3.4.0/m/pkg/pkg.m at line 783, column 5
error:   /Applications/Octave.app/Contents/Resources/share/octave/3.4.0/m/pkg/pkg.m at line 354, column 9


_______________________________________________
Help-octave mailing list
[hidden email]
https://mailman.cae.wisc.edu/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: Problem with database package installation OS X

Julien Salort
Stuart Edwards <[hidden email]> writes:

> Hi -
>
> I'm trying, without success,  to install the package 'database-1.0.4'.
> My octave is the latest 3.4 Mac binary (4/8/11) running on OS X 10.6.7
>
> Below is the  transcript from the install attempt.   Seems to indicate
> serious  unhappiness  with  my  sqlite3  set up,  although  it's  very
> standard.

Try with the version on this link:
http://www.salort.eu/Julien_Salort_Homepage/Macintosh_Software.html

--
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on a mailing list?

_______________________________________________
Help-octave mailing list
[hidden email]
https://mailman.cae.wisc.edu/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: Problem with database package installation OS X

Stuart Edwards

On May 2, 2011, at 1:43 PM, Julien Salort wrote:

> Stuart Edwards <[hidden email]> writes:
>
>> Hi -
>>
>> I'm trying, without success,  to install the package 'database-1.0.4'.
>> My octave is the latest 3.4 Mac binary (4/8/11) running on OS X 10.6.7
>>
>> Below is the  transcript from the install attempt.   Seems to indicate
>> serious  unhappiness  with  my  sqlite3  set up,  although  it's  very
>> standard.
>
> Try with the version on this link:
> http://www.salort.eu/Julien_Salort_Homepage/Macintosh_Software.html
>

That cleared up the first five warnings, but the sqlite3 problem (and some others) remain (see below)

thx

Stu

SEsMacPro:octave stu$ octave -q
octave-3.4.0:1> pkg install database-1.0.4.tar
In file included from /Applications/Octave.app/Contents/Resources/include/octave-3.4.0/octave/../octave/oct.h:31,
                 from sqlite3_wrap.cpp:149:
/Applications/Octave.app/Contents/Resources/include/octave-3.4.0/octave/../octave/config.h:2628: error: multiple types in one declaration
/Applications/Octave.app/Contents/Resources/include/octave-3.4.0/octave/../octave/config.h:2628: error: declaration does not declare anything
sqlite3_wrap.cpp:1442: error: invalid covariant return type for ‘virtual Octave_map octave_swig_type::map_value() const’
/Applications/Octave.app/Contents/Resources/include/octave-3.4.0/octave/../octave/ov-base.h:560: error:   overriding ‘virtual octave_map octave_base_value::map_value() const’
sqlite3_wrap.cpp: In member function ‘void octave_swig_type::install_global()’:
sqlite3_wrap.cpp:1197: error: ‘curr_sym_tab’ was not declared in this scope
sqlite3_wrap.cpp:1197: error: ‘link_to_global_variable’ was not declared in this scope
sqlite3_wrap.cpp:1204: error: ‘symbol_record’ was not declared in this scope
sqlite3_wrap.cpp:1204: error: ‘sr’ was not declared in this scope
sqlite3_wrap.cpp:1204: error: ‘global_sym_tab’ was not declared in this scope
sqlite3_wrap.cpp: At global scope:
sqlite3_wrap.cpp:1650: error: invalid covariant return type for ‘virtual Octave_map octave_swig_ref::map_value() const’
/Applications/Octave.app/Contents/Resources/include/octave-3.4.0/octave/../octave/ov-base.h:560: error:   overriding ‘virtual octave_map octave_base_value::map_value() const’
sqlite3_wrap.cpp: In function ‘void SWIG_Octave_SetModule(void*, swig_module_info*)’:
sqlite3_wrap.cpp:2110: error: ‘curr_sym_tab’ was not declared in this scope
sqlite3_wrap.cpp:2110: error: ‘link_to_global_variable’ was not declared in this scope
sqlite3_wrap.cpp: In function ‘octave_value_list _wrap_sqlite3_auto_extension(const octave_value_list&, int)’:
sqlite3_wrap.cpp:6861: error: invalid conversion from ‘void*’ to ‘void (*)()’
sqlite3_wrap.cpp:6861: error:   initializing argument 1 of ‘int sqlite3_auto_extension(void (*)())’
sqlite3_wrap.cpp: In function ‘octave_value_list Fsqlite3(const octave_value_list&, int)’:
sqlite3_wrap.cpp:10430: error: ‘curr_sym_tab’ was not declared in this scope
sqlite3_wrap.cpp:10430: error: ‘link_to_global_variable’ was not declared in this scope
make: *** [sqlite3.oct] Error 1
'make' returned the following error: CXXFLAGS="-arch i386" /Applications/Octave.app/Contents/Resources/bin/mkoctfile-3.4.0 -Doctave_idx_type=int -DNEED_OCTAVE_QUIT -DHAVE_OCTAVE_34 -v -o sqlite3.oct -lsqlite3 sqlite3_wrap.cpp
/usr/bin/g++-4.2 -c -fPIC -I/Applications/Octave.app/Contents/Resources/include/octave-3.4.0/octave/.. -I/Applications/Octave.app/Contents/Resources/include/octave-3.4.0/octave -I/Applications/Octave.app/Contents/Resources/include -I/Applications/Octave.app/Contents/Resources/include -I/usr/X11/include/freetype2 -I/usr/X11/include -I/usr/X11/include -arch i386 -Doctave_idx_type=int -DNEED_OCTAVE_QUIT -DHAVE_OCTAVE_34 sqlite3_wrap.cpp -o sqlite3_wrap.o
error: called from `pkg>configure_make' in file /Applications/Octave.app/Contents/Resources/share/octave/3.4.0/m/pkg/pkg.m near line 1337, column 9
error: called from:
error:   /Applications/Octave.app/Contents/Resources/share/octave/3.4.0/m/pkg/pkg.m at line 783, column 5
error:   /Applications/Octave.app/Contents/Resources/share/octave/3.4.0/m/pkg/pkg.m at line 354, column 9

_______________________________________________
Help-octave mailing list
[hidden email]
https://mailman.cae.wisc.edu/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: Problem with database package installation OS X

Julien Salort
Stuart Edwards <[hidden email]> writes:

>>> I'm trying, without success,  to install the package 'database-1.0.4'.
>>> My octave is the latest 3.4 Mac binary (4/8/11) running on OS X 10.6.7
>
> That cleared up the first  five warnings, but the sqlite3 problem (and
> some others) remain (see below)

Ok then I don't know.
Can someone confirm that this is a Mac-specific problem ?
(ie. does this work with Octave-3.4.0 on linux ?)

Julien

--
A: Because it messes up the order in which people normally read text.
Q: Why is top-posting such a bad thing?
A: Top-posting.
Q: What is the most annoying thing on a mailing list?

_______________________________________________
Help-octave mailing list
[hidden email]
https://mailman.cae.wisc.edu/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: Problem with database package installation OS X

martin_helm
Am Mittwoch, 4. Mai 2011, 19:47:17 schrieb Julien Salort:

> Stuart Edwards <[hidden email]> writes:
> >>> I'm trying, without success,  to install the package 'database-1.0.4'.
> >>> My octave is the latest 3.4 Mac binary (4/8/11) running on OS X 10.6.7
> >
> > That cleared up the first  five warnings, but the sqlite3 problem (and
> > some others) remain (see below)
>
> Ok then I don't know.
> Can someone confirm that this is a Mac-specific problem ?
> (ie. does this work with Octave-3.4.0 on linux ?)
>
> Julien

It is not Mac specific. Just tried that on openSUSE 11.4 64bit (octave  3.4.0)
with
pkg install -forge database
and get essentially the same errors

In file included from
/usr/local/include/octave-3.4.0/octave/../octave/oct.h:31:0,
                 from sqlite3_wrap.cpp:149:
/usr/local/include/octave-3.4.0/octave/../octave/config.h:2628:25: error:
multiple types in one declaration
/usr/local/include/octave-3.4.0/octave/../octave/config.h:2628:25: error:
declaration does not declare anything
sqlite3_wrap.cpp:1442:24: error: invalid covariant return type for ‘virtual
Octave_map octave_swig_type::map_value() const’
/usr/local/include/octave-3.4.0/octave/../octave/ov-base.h:560:22: error:  
overriding ‘virtual octave_map octave_base_value::map_value() const’
sqlite3_wrap.cpp: In member function ‘void
octave_swig_type::install_global()’:
sqlite3_wrap.cpp:1197:28: error: ‘curr_sym_tab’ was not declared in this scope
sqlite3_wrap.cpp:1197:65: error: ‘link_to_global_variable’ was not declared in
this scope
sqlite3_wrap.cpp:1204:8: error: ‘symbol_record’ was not declared in this scope
sqlite3_wrap.cpp:1204:23: error: ‘sr’ was not declared in this scope
sqlite3_wrap.cpp:1204:28: error: ‘global_sym_tab’ was not declared in this
scope
sqlite3_wrap.cpp: At global scope:
sqlite3_wrap.cpp:1650:24: error: invalid covariant return type for ‘virtual
Octave_map octave_swig_ref::map_value() const’
/usr/local/include/octave-3.4.0/octave/../octave/ov-base.h:560:22: error:  
overriding ‘virtual octave_map octave_base_value::map_value() const’
sqlite3_wrap.cpp: In function ‘void SWIG_Octave_SetModule(void*,
swig_module_info*)’:
sqlite3_wrap.cpp:2110:27: error: ‘curr_sym_tab’ was not declared in this scope
sqlite3_wrap.cpp:2110:65: error: ‘link_to_global_variable’ was not declared in
this scope
sqlite3_wrap.cpp: In function ‘octave_value_list _wrap_sqlite3_vmprintf(const
octave_value_list&, int)’:
sqlite3_wrap.cpp:3029:34: error: invalid array assignment
sqlite3_wrap.cpp: In function ‘octave_value_list
_wrap_sqlite3_auto_extension(const octave_value_list&, int)’:
sqlite3_wrap.cpp:6861:44: error: invalid conversion from ‘void*’ to ‘void (*)
()’
sqlite3_wrap.cpp:6861:44: error:   initializing argument 1 of ‘int
sqlite3_auto_extension(void (*)())’
sqlite3_wrap.cpp: In function ‘octave_value_list Fsqlite3(const
octave_value_list&, int)’:
sqlite3_wrap.cpp:10430:27: error: ‘curr_sym_tab’ was not declared in this
scope
sqlite3_wrap.cpp:10430:65: error: ‘link_to_global_variable’ was not declared
in this scope
make: *** [sqlite3.oct] Fehler 1
'make' returned the following error: make: Entering directory `/tmp/oct-
feCGOK/database-1.0.4/src'
CXXFLAGS="-g" /usr/local/bin/mkoctfile-3.4.0 -Doctave_idx_type=int -
DNEED_OCTAVE_QUIT -DHAVE_OCTAVE_34 -v -o sqlite3.oct -lsqlite3
sqlite3_wrap.cpp
g++ -c -fPIC -I/usr/local/include/octave-3.4.0/octave/.. -
I/usr/local/include/octave-3.4.0/octave -I/usr/local/include -
I/usr/include/freetype2 -g -Doctave_idx_type=int -DNEED_OCTAVE_QUIT -
DHAVE_OCTAVE_34 sqlite3_wrap.cpp -o sqlite3_wrap.o
make: Leaving directory `/tmp/oct-feCGOK/database-1.0.4/src'
error: called from `pkg>configure_make' in file
/usr/local/share/octave/3.4.0/m/pkg/pkg.m near line 1332, column 9
error: called from:
error:   /usr/local/share/octave/3.4.0/m/pkg/pkg.m at line 783, column 5
error:   /usr/local/share/octave/3.4.0/m/pkg/pkg.m at line 354, column 9
_______________________________________________
Help-octave mailing list
[hidden email]
https://mailman.cae.wisc.edu/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: Problem with database package installation OS X - bug report?

Stuart Edwards

On May 4, 2011, at 2:15 PM, Martin Helm wrote:

> Am Mittwoch, 4. Mai 2011, 19:47:17 schrieb Julien Salort:
>> Stuart Edwards <[hidden email]> writes:
>>>>> I'm trying, without success,  to install the package 'database-1.0.4'.
>>>>> My octave is the latest 3.4 Mac binary (4/8/11) running on OS X 10.6.7
>>>
>>> That cleared up the first  five warnings, but the sqlite3 problem (and
>>> some others) remain (see below)
>>
>> Ok then I don't know.
>> Can someone confirm that this is a Mac-specific problem ?
>> (ie. does this work with Octave-3.4.0 on linux ?)
>>
>> Julien
>
> It is not Mac specific. Just tried that on openSUSE 11.4 64bit (octave  3.4.0)
> with
> pkg install -forge database
> and get essentially the same errors

Can someone please advise on correct procedure for filing a package bug report.

thx

Stu
_______________________________________________
Help-octave mailing list
[hidden email]
https://mailman.cae.wisc.edu/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: Problem with database package installation OS X - bug report?

martin_helm
Am Samstag, 7. Mai 2011, 15:57:04 schrieb Stuart Edwards:

> On May 4, 2011, at 2:15 PM, Martin Helm wrote:
> > Am Mittwoch, 4. Mai 2011, 19:47:17 schrieb Julien Salort:
> >> Stuart Edwards <[hidden email]> writes:
> >>>>> I'm trying, without success,  to install the package
> >>>>> 'database-1.0.4'. My octave is the latest 3.4 Mac binary (4/8/11)
> >>>>> running on OS X 10.6.7
> >>>
> >>> That cleared up the first  five warnings, but the sqlite3 problem (and
> >>> some others) remain (see below)
> >>
> >> Ok then I don't know.
> >> Can someone confirm that this is a Mac-specific problem ?
> >> (ie. does this work with Octave-3.4.0 on linux ?)
> >>
> >> Julien
> >
> > It is not Mac specific. Just tried that on openSUSE 11.4 64bit (octave
> > 3.4.0) with
> > pkg install -forge database
> > and get essentially the same errors
>
> Can someone please advise on correct procedure for filing a package bug
> report.
>
> thx
>
> Stu

The packages from octave forge are not part of the octave program but
additional software. So you have two options:

Look up who is the maintainer of the package in question and contact him/her
directly (I guess an email adress is given in the files of the package).
For database this is
Package Author: Xavier Delacour
Package Maintainer: Xavier Delacour

See here: http://octave.sourceforge.net/database/index.html

Or send an email to the [hidden email] mailing list
https://lists.sourceforge.net/lists/listinfo/octave-dev
_______________________________________________
Help-octave mailing list
[hidden email]
https://mailman.cae.wisc.edu/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: Problem with database package installation OS X - bug report?

vbec
Are you sure this is a package maintainer problem?

I am on a Linux platform and I can install a package perfectly well on octave version 3.2.4, but it fails with similar problems on version 3.5.0, to be specific I get the following error messages :

/usr/local/bin/mkoctfile -o cv.oct -I../../../cv/include -I../../../cxcore/include -I../../../ml/include -I../.. /../otherlibs/highgui -DCV_NO_BACKWARD_COMPATIBILITY -L../../../cv/src/.libs -lcv cv_wrap.cpp  cvshadow.cpp error.cpp octhelpers.cpp
cv_wrap.cpp:1480:24: error: invalid covariant return type for ‘virtual Octave_map octave_swig_type::map_value() const’
/usr/local/include/octave-3.5.0+/octave/../octave/ov-base.h:560:22: error:   overriding ‘virtual octave_map octave_base_value::map_value() const’
cv_wrap.cpp:1688:24: error: invalid covariant return type for ‘virtual Octave_map octave_swig_ref::map_value() const’
/usr/local/include/octave-3.5.0+/octave/../octave/ov-base.h:560:22: error:   overriding ‘virtual octave_map octave_base_value::map_value() const’
cv_wrap.cpp: In function ‘char* IplImage___str(IplImage*)’:
cv_wrap.cpp:4357:12: warning: deprecated conversion from string constant to ‘char*’
cv_wrap.cpp: In function ‘char* CvMat___str(CvMat*)’:
cv_wrap.cpp:4664:12: warning: deprecated conversion from string constant to ‘char*’
make: *** [cv.oct] Error 1


The package that I try to compile is an OpenCV binding for Octave using SWIG. This error happens only when I choose to compile with mkoctfile. If I instead use "gcc -shared -fPIC" it compiles just fine, but I then get problems when installing the package with pkg install instead. There seems to be no way around this (that I can see) but to fix the problem that is introduced in the higher versions of Octave (mkoctfile).

Thanks!
martin_helm wrote
Am Samstag, 7. Mai 2011, 15:57:04 schrieb Stuart Edwards:
> On May 4, 2011, at 2:15 PM, Martin Helm wrote:
> > Am Mittwoch, 4. Mai 2011, 19:47:17 schrieb Julien Salort:
> >> Stuart Edwards <[hidden email]> writes:
> >>>>> I'm trying, without success,  to install the package
> >>>>> 'database-1.0.4'. My octave is the latest 3.4 Mac binary (4/8/11)
> >>>>> running on OS X 10.6.7
> >>>
> >>> That cleared up the first  five warnings, but the sqlite3 problem (and
> >>> some others) remain (see below)
> >>
> >> Ok then I don't know.
> >> Can someone confirm that this is a Mac-specific problem ?
> >> (ie. does this work with Octave-3.4.0 on linux ?)
> >>
> >> Julien
> >
> > It is not Mac specific. Just tried that on openSUSE 11.4 64bit (octave
> > 3.4.0) with
> > pkg install -forge database
> > and get essentially the same errors
>
> Can someone please advise on correct procedure for filing a package bug
> report.
>
> thx
>
> Stu

The packages from octave forge are not part of the octave program but
additional software. So you have two options:

Look up who is the maintainer of the package in question and contact him/her
directly (I guess an email adress is given in the files of the package).
For database this is
Package Author: Xavier Delacour
Package Maintainer: Xavier Delacour

See here: http://octave.sourceforge.net/database/index.html

Or send an email to the [hidden email] mailing list
https://lists.sourceforge.net/lists/listinfo/octave-dev
_______________________________________________
Help-octave mailing list
[hidden email]
https://mailman.cae.wisc.edu/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: how to install octave and use it

nirley.gupta
In reply to this post by Alah Joseph
When i am installing octave on ubuntu 11.04

when i run ./configure file, i am getting these error bblas and lac library missing.

Please can any one tell me all pre requestive for octave

gcc and gnu plot should be there, rest i dont know.
Reply | Threaded
Open this post in threaded view
|

Re: how to install octave and use it

marco atzeri-2
On 9/23/2011 8:42 AM, nirley.gupta wrote:
> When i am installing octave on ubuntu 11.04
>
> when i run ./configure file, i am getting these error bblas and lac library
> missing.
>

do you mean blas and lapack ?
Those are surely needed.

looking
http://packages.debian.org/source/stable/octave3.2

I guess you need packages called
liblapack-dev and libblas-dev


For the rest look on
  ./configure --help

I suggest at least:
libsuitesparse-dev
libfftw3-dev
libpcre3-dev


> Please can any one tell me all pre requestive for octave
>
> gcc and gnu plot should be there, rest i dont know.
>
> --

Regards
Marco

_______________________________________________
Help-octave mailing list
[hidden email]
https://mailman.cae.wisc.edu/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: how to install octave and use it

Jordi Gutiérrez Hermoso-2
In reply to this post by nirley.gupta
On 23 September 2011 01:42, nirley.gupta <[hidden email]> wrote:
> When i am installing octave on ubuntu 11.04
>
> when i run ./configure file, i am getting these error bblas and lac library
> missing.
>
> Please can any one tell me all pre requestive for octave
>

Try "apt-get build-dep octave3.2". That should get you all of the
build-deps except libfontconfig1-dev and perhaps a couple nonessential
more.

HTH,
- Jordi G. H.
_______________________________________________
Help-octave mailing list
[hidden email]
https://mailman.cae.wisc.edu/listinfo/help-octave